import { MeasurementResult, PlanePair } from '@vertexvis/scene-view-protos/core/protos/measurement_pb';
import { MeasureResponse } from '@vertexvis/scene-view-protos/sceneview/protos/scene_view_api_pb';
import { Timestamp } from 'google-protobuf/google/protobuf/timestamp_pb';
export declare function makeMeasureResponse(...result: MeasurementResult[]): MeasureResponse;
export declare function makePlanarDistanceResult(): MeasurementResult;
export declare function makePlanarAngleResult(): MeasurementResult;
export declare function makeMinimumDistanceResult(): MeasurementResult;
export declare function makeSurfaceAreaResult(): MeasurementResult;
export declare function makePlanes(): PlanePair;
export declare function makeTimestamp(date?: Date): Timestamp;
